<?php
/*-------------------------------------------------------+
| PHP-Fusion Content Management System
| Copyright (C) 2002 - 2010 Nick Jones
| http://www.php-fusion.co.uk/
+--------------------------------------------------------+
| Filename: tv_show_list.php
| Author: Hisashi
+--------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license. You can redistribute it and/or
| modify it under the terms of this license which you
| can read by viewing the included agpl.txt or online
| at www.gnu.org/licenses/agpl.html. Removal of this
| copyright header is strictly prohibited without
| written permission from the original author(s).
+--------------------------------------------------------*/
require_once "../../maincore.php";

require_once THEMES."templates/header.php";
include INFUSIONS."tv_show_list/infusion_db.php";
include INC_TV_PROGRAMS."tv_show_list_include.php";

 if (file_exists(LC_TV_PROGRAMS.$settings['locale']."/tv_show_list.php")) {
	include LC_TV_PROGRAMS.$settings['locale']."/tv_show_list.php";
} else {
	include LC_TV_PROGRAMS."English/tv_show_list.php";
}

if (iMEMBER)  {

$bs_sys_url = BASEDIR;
$axn = isset($_REQUEST['axn']) ? $_REQUEST['axn'] : "";
$show_id = (isset($_REQUEST['show_id']) AND isnum($_REQUEST['show_id'])) ? $_REQUEST['show_id'] : "";

$user_link = "?";
$tv_user_profile_id5 = $userdata['user_id'];

//program list
$rows_per_page2 = "20";

switch ($axn) {
  //menu
  default:
  
    $p_swich = "axn=default";
            opentable($locale['tspp_01'].$locale['tspp_02'].$locale['tspp_03']);
            echo "<form name='addform' action='".FUSION_SELF.$user_link."axn=search_program_list' method='post'>\n";
echo "<table cellpadding='0' cellspacing='0' width='400' class='center'>\n
<tr><td align='center' class='tbl2' colspan='4'><span style='font-weight:bold;font-size:1.5em;'>".$locale['tspp_10']."</span></td></tr>\n<tr>\n";
echo "<td width='130' class='tbl' align='right'>".$locale['tsp_49']." <font color='red'>*</font> </td>\n";
echo "<td class='tbl'><input type='text' name='tvsp_search' value='' class='textbox' style='width:200px;' /></td>\n";
echo "<td align='center' colspan='4' class='tbl'>";
echo "<input type='submit' name='search_program' value='".$locale['tspp_16']."' class='button' />";
echo "</td></tr></table>\n";
echo "</form>\n"; 
  
    echo "<br /><br />";
   
	
	  $rows2 = dbcount("(tv_show_id)", DB_TV_PROGRAMS, "tv_show_id!='0'");  
        if (!isset($_GET['rowstart']) || !isnum($_GET['rowstart'])) { $_GET['rowstart'] = 0; }
	      $result2=dbquery("SELECT * From ".DB_TV_PROGRAMS."  ORDER BY tv_show_name, tv_show_id ");
    $rows2 = dbrows($result2);
    if  ($rows2 > 0) { 
	          
            $result2=dbquery("SELECT * From ".DB_TV_PROGRAMS."  ORDER BY tv_show_name, tv_show_id LIMIT ".$_GET['rowstart'].", $rows_per_page2 ");
    
                  echo "<table cellpadding='0' cellspacing='1' width='95%' class='tbl-border center'><tr>\n";
                  echo "<td class='tbl2' align='center'>".$locale['tspp_06']."</td>\n"; 
                  echo "<td class='tbl2' align='center'>".$locale['tspp_07']."</td>\n";
                  echo "<td class='tbl2' align='center'>".$locale['tspp_08']."</td></tr>\n";    
                  while ($data2 = dbarray($result2)) {   
                          echo "<tr>";
                          echo "<td class='tbl2' align='center'>";
                          if (!empty($data2['tv_show_image'])) {
                             echo "<a href='".$data2['tv_show_image']."' target='_blank'><img src='".$data2['tv_show_image']."' width='50px' /></a>"; 
                          }
                          echo "</td>\n";
                          echo "<td class='tbl2' align='center'>".$data2['tv_show_name']." <a href='https://www.google.com/search?q=".$data2['tv_show_name']."'><img src='".IMG_TV_PROGRAMS."find.png'></a></td>\n";
                          echo "<td class='tbl2' align='center'>";
                          $tv_user_show_id5 = $data2['tv_show_id']; 
                          if (hf_check_user_show_id($tv_user_show_id5, $tv_user_profile_id5) === FALSE) {
                                echo "<a href='".INFUSIONS."tv_show_list/user/tv_show_list.php?axn=user_new_show_search_to_add&show_id=".$data2['tv_show_id']."'>".$locale['tspp_04']."</a>";
                          } else {
                                  echo $locale['tspp_09'];
                          }
                          echo "</td>\n"; 
                          echo "</tr>"; 
                  }
                  echo "</table>\n";
                   if ($rows2 > $rows_per_page2) {
                    echo "<br />";
                    echo "<div align='center' style='margin-top:5px;'>\n".Shmakeadminswichpagenav($user_link, $p_swich, $_GET['rowstart'],$rows_per_page2,$rows2,3)."\n</div>\n";
                  }
    } else {
              echo "<br />";
              echo "<center><div class='admin-message'>".$locale['tspp_05']."</div></center>";
    }   
	  closetable();
  
  
  break;		
  //dell user show
  case 'search_program_list':
	
	      $p_swich = "axn=search_program_list";
	
	   if (isset($_POST['search_program'])) { 
     opentable($locale['tspp_01'].$locale['tspp_02'].$locale['tspp_03']);
    $tvsp_search = stripinput($_POST['tvsp_search']); 
      
    
    echo "<table cellpadding='0' cellspacing='0' width='400' class='center'>\n
<tr><td align='center' class='tbl2' colspan='4'><span style='font-weight:bold;font-size:1.5em;'>".$locale['tspp_10']."</span></td></tr>\n<tr>\n";
echo "<td width='130' class='tbl' align='right'>".$locale['tsp_49']." <font color='red'>*</font> </td>\n";
echo "<td class='tbl'><input type='text' name='show_search' value='$tvsp_search' disabled='disabled' class='textbox' style='width:150px;' /></td>\n";
echo "<td align='center' colspan='4' class='tbl'><a href='".FUSION_SELF."'>".$locale['tspp_15']."</a></td>\n";
echo "</tr></table>\n";
     
          echo "<br /><br />";
    if (!empty($tvsp_search)) {
       $find = $tvsp_search;
	  
	     $result3=dbquery("SELECT * From ".DB_TV_PROGRAMS."  WHERE tv_show_name LIKE '{$find}%'  ");
       $rows3 = dbrows($result3);
       if  ($rows3 > 0) { 
	          
            
    
                  echo "<table cellpadding='0' cellspacing='1' width='95%' class='tbl-border center'><tr>\n";
                  echo "<td class='tbl2' align='center'>".$locale['tspp_06']."</td>\n"; 
                  echo "<td class='tbl2' align='center'>".$locale['tspp_07']."</td>\n";
                  echo "<td class='tbl2' align='center'>".$locale['tspp_08']."</td></tr>\n";    
                  while ($data2 = dbarray($result3)) {   
                          echo "<tr>";
                          echo "<td class='tbl2' align='center'>";
                          if (!empty($data2['tv_show_image'])) {
                             echo "<a href='".$data2['tv_show_image']."' target='_blank'><img src='".$data2['tv_show_image']."' width='50px' /></a>"; 
                          }
                          echo "</td>\n";
                          echo "<td class='tbl2' align='center'>".$data2['tv_show_name']." < <a href='https://www.google.com/search?q=".$data2['tv_show_name']."'><img src='".IMG_TV_PROGRAMS."find.png'></a>/td>\n";
                          echo "<td class='tbl2' align='center'>";
                          $tv_user_show_id5 = $data2['tv_show_id']; 
                          if (hf_check_user_show_id($tv_user_show_id5, $tv_user_profile_id5) === FALSE) {
                                echo "<a href='".INFUSIONS."tv_show_list/user/tv_show_list.php?axn=user_new_show_search_to_add&show_id=".$data2['tv_show_id']."'>".$locale['tspp_04']."</a>";
                          } else {
                                  echo $locale['tspp_09'];
                          }
                          echo "</td>\n"; 
                          echo "</tr>"; 
                  }
                  echo "</table>\n";
                    
       } else {
              echo "<br />";
              echo "<center><div class='admin-message'>".$locale['tspp_05']."</div></center>";
       }
    } else {
              echo "<br />";
              echo "<center><div class='admin-message'>".$locale['tsp_44']."</div></center>"; 
    }
       
	  closetable();
	
	}
	break;

}
} else {
   include INC_TV_PROGRAMS."no_access.php";
}

require_once THEMES."templates/footer.php";
?>