<?php
/*-------------------------------------------------------+
| PHP-Fusion Content Management System
| Copyright (C) 2002 - 2010 Nick Jones
| http://www.php-fusion.co.uk/
+--------------------------------------------------------+
| Filename: tv_show_list.php
| Author: Hisashi
+--------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license. You can redistribute it and/or
| modify it under the terms of this license which you
| can read by viewing the included agpl.txt or online
| at www.gnu.org/licenses/agpl.html. Removal of this
| copyright header is strictly prohibited without
| written permission from the original author(s).
+--------------------------------------------------------*/
require_once "../../../maincore.php";

require_once THEMES."templates/header.php";
include INFUSIONS."tv_show_list/infusion_db.php";
include INC_TV_PROGRAMS."tv_show_list_include.php";

 if (file_exists(LC_TV_PROGRAMS.$settings['locale']."/tv_show_list.php")) {
	include LC_TV_PROGRAMS.$settings['locale']."/tv_show_list.php";
} else {
	include LC_TV_PROGRAMS."English/tv_show_list.php";
}

if (iMEMBER)  {

$bs_sys_url = BASEDIR;
$axn = isset($_REQUEST['axn']) ? $_REQUEST['axn'] : "";
$show_id = (isset($_REQUEST['show_id']) AND isnum($_REQUEST['show_id'])) ? $_REQUEST['show_id'] : "";

$user_link = "?";
$panel_user1 = $userdata['user_id'];
//show list
$rows_per_page = "20";
//program list
$rows_per_page2 = "30";
 
switch ($axn) {
  //menu
  default:
  
          opentable($locale['tsp_01']);
	        echo "<table cellpadding='0' cellspacing='1' width='80%' class='tbl-border center'><tr>\n";
		      echo "<td class='tbl2' align='center'><a href='".FUSION_SELF.$user_link."axn=user_show_list'>".$locale['tsp_53']."</a></td>\n"; 
          echo "<td class='tbl2' align='center'><a href='".FUSION_SELF.$user_link."axn=user_new_show_search_to_add'>".$locale['tsp_05']."</a></td>\n";  
          echo "</tr>\n</table>\n";
          closetable();
  
  break;		
  //user show list	
	case 'user_show_list':
	
	   opentable($locale['tsp_01']);
	        echo "<table cellpadding='0' cellspacing='1' width='80%' class='tbl-border center'>\n<tr>\n";
		      echo "<td class='tbl2' align='center'><a href='".FUSION_SELF.$user_link."axn=user_show_list'>".$locale['tsp_53']."</a></td>\n"; 
          echo "<td class='tbl2' align='center'><a href='".FUSION_SELF.$user_link."axn=user_new_show_search_to_add'>".$locale['tsp_05']."</a></td>\n";  
          echo "</tr>\n</table>\n";
		      echo "<br /><br />";
		      $resultx1=dbquery("SELECT * From ".DB_USER_TV_PROGRAMS."
                     WHERE tv_user_profile_id='$panel_user1' ");
    $rowsx1 = dbrows($resultx1);
    if  ($rowsx1 > 0) {
		      
         
          echo "<table cellpadding='0' cellspacing='1' width='80%' class='tbl-border center'>\n<tr>\n";
		      echo "<td class='tbl2' align='center'><a href='".FUSION_SELF.$user_link."axn=user_show_list_planned'>".$locale['tsp_62']."</a></td>\n"; 
          echo "<td class='tbl2' align='center'><a href='".FUSION_SELF.$user_link."axn=user_show_list_watched'>".$locale['tsp_63']."</a></td>\n";
          echo "<td class='tbl2' align='center'><a href='".FUSION_SELF.$user_link."axn=user_show_list_suspended'>".$locale['tsp_64']."</a></td>\n"; 
          echo "<td class='tbl2' align='center'><a href='".FUSION_SELF.$user_link."axn=user_show_list_leaved'>".$locale['tsp_65']."</a></td>\n";
          echo "<td class='tbl2' align='center'><a href='".FUSION_SELF.$user_link."axn=user_show_list_completed'>".$locale['tsp_66']."</a></td>\n";     
          echo "</tr>\n</table>\n";
          echo "<br />";
    } else {
              
		          echo "<br />";
              echo "<center><div class='admin-message'>".$locale['tsp_43']."</div></center>";                               
	  }
    closetable();
  break;		
  //user show list planed
	case 'user_show_list_planned':
  
      $p_swich = "axn=user_show_list_planned";
     
        opentable($locale['tsp_01']);
	        echo "<table cellpadding='0' cellspacing='1' width='80%' class='tbl-border center'>\n<tr>\n";
		      echo "<td class='tbl2' align='center'><a href='".FUSION_SELF.$user_link."axn=user_show_list'>".$locale['tsp_53']."</a></td>\n"; 
          echo "<td class='tbl2' align='center'><a href='".FUSION_SELF.$user_link."axn=user_new_show_search_to_add'>".$locale['tsp_05']."</a></td>\n";  
          echo "</tr>\n</table>\n";
		      echo "<br /><br />";
		      echo "<table cellpadding='0' cellspacing='1' width='80%' border='0'><tr><td><b>".$locale['tsp_53']."</b></td></trr></table>\n";
		      echo "<br /><br />";
	       
	      $resultx1=dbquery("SELECT * From ".DB_USER_TV_PROGRAMS."
                     WHERE tv_user_profile_id='$panel_user1' ");
    $rowsx1 = dbrows($resultx1);
    if  ($rowsx1 > 0) {
    
        echo "<table cellpadding='0' cellspacing='1' width='80%' class='tbl-border center'>\n<tr>\n";
		      echo "<td class='tbl2' align='center'><a href='".FUSION_SELF.$user_link."axn=user_show_list_planned'>".$locale['tsp_62']."</a></td>\n"; 
          echo "<td class='tbl2' align='center'><a href='".FUSION_SELF.$user_link."axn=user_show_list_watched'>".$locale['tsp_63']."</a></td>\n";
          echo "<td class='tbl2' align='center'><a href='".FUSION_SELF.$user_link."axn=user_show_list_suspended'>".$locale['tsp_64']."</a></td>\n"; 
          echo "<td class='tbl2' align='center'><a href='".FUSION_SELF.$user_link."axn=user_show_list_leaved'>".$locale['tsp_65']."</a></td>\n";
          echo "<td class='tbl2' align='center'><a href='".FUSION_SELF.$user_link."axn=user_show_list_completed'>".$locale['tsp_66']."</a></td>\n";     
          echo "</tr>\n</table>\n";
          echo "<br /><br />";
       
       $result1a = dbcount("(tv_user_id)", DB_USER_TV_PROGRAMS, "tv_user_id!='0'");  
        if (!isset($_GET['rowstart']) || !isnum($_GET['rowstart'])) { $_GET['rowstart'] = 0; }     
        $result1a=dbquery("SELECT a.*, b.* From ".DB_USER_TV_PROGRAMS." AS a
                     JOIN ".DB_TV_PROGRAMS." AS b ON b.tv_show_id = a.tv_user_show_id
                     WHERE a.tv_user_profile_id='$panel_user1' AND a.tv_user_show_status = '0' 
                     ORDER BY b.tv_show_name ");
    $rows1a = dbrows($result1a);
    if  ($rows1a > 0) {
            
             $result1a=dbquery("SELECT a.*, b.* From ".DB_USER_TV_PROGRAMS." AS a
                     JOIN ".DB_TV_PROGRAMS." AS b ON b.tv_show_id = a.tv_user_show_id
                     WHERE a.tv_user_profile_id='$panel_user1' AND a.tv_user_show_status = '0' 
                     ORDER BY b.tv_show_name, a.tv_user_id LIMIT ".$_GET['rowstart'].", $rows_per_page ");
                  
                  echo "<table cellpadding='0' cellspacing='1' width='95%' class='tbl-border center'><tr>\n";
                  echo "<td class='tbl2'colspan='6' align='center'>".$locale['tsp_62']."</td>\n";
                  echo "</tr><tr>";; 
                  echo "<td class='tbl2' align='center'>".$locale['tsp_19']."</td>\n";
                  echo "<td class='tbl2' align='center'>".$locale['tsp_57']."</td>\n";
                  echo "<td class='tbl2' align='center'>".$locale['tsp_23']."</td>\n";
                  echo "<td class='tbl2' align='center'>".$locale['tsp_25']."</td>\n";    
                  while ($data1a = dbarray($result1a)) {
                          echo "</tr><tr>";
                          echo "<td class='tbl2' align='left'>"; 
                          if (!empty($data1a['tv_show_image'])) {
                             echo "<a href='".$data1a['tv_show_image']."' target='_blank'><img src='".$data1a['tv_show_image']."' width='40px' /></a>&emsp;".$data1a['tv_show_name']." "; 
                          } else { 
                                echo $data1a['tv_show_name']; 
                          } 
                          echo "</td>\n";
                          $program_user_url1a = $data1a['tv_user_show_url'];
                          echo "<td class='tbl2' align='center'>";
                          if  (empty($program_user_url1a)) {     
                                 echo " N/A";
                          } else {
                                  echo "<a href='".$program_user_url1a."' Target='_blank'>".$locale['tsp_59']."</a>";
                          }
                          echo "</td>\n"; 
                          $program_user_time1a = $data1a['tv_user_show_time'];
                          echo "<td class='tbl2' align='center'>".tv_get_user_edit_time($program_user_time1a)."</td>\n";
                          echo "<td class='tbl2' align='center'><a href='".FUSION_SELF.$user_link."axn=editusershow&show_id=".$data1a['tv_user_id']."'>".$locale['tsp_09']."</a> <br /> <a href='".FUSION_SELF.$user_link."axn=deleteusershow&show_id=".$data1a['tv_user_id']."'>".$locale['tsp_10']."</a></td>\n";
                          echo "</tr><tr>";
                  }
                  echo "</table>\n";
                  if ($rows1a > $rows_per_page) {
                    echo "<br />";
                    echo "<div align='center' style='margin-top:5px;'>\n".Shmakeadminswichpagenav($user_link, $p_swich, $_GET['rowstart'],$rows_per_page,$rows1a,3)."\n</div>\n";
                  }
    } else {
              echo "<br />";
		          echo "<table cellpadding='0' cellspacing='1' width='80%' border='0'><tr><td><b>".$locale['tsp_62']."</b></td></trr></table>\n";
		          echo "<br />";
              echo "<center><div class='admin-message'>".$locale['tsp_43']."</div></center>";
    }
    } else {
              
		          echo "<br />";
              echo "<center><div class='admin-message'>".$locale['tsp_43']."</div></center>";
    }                                    
	  closetable();
  
  break;		
  //user show list wached
	case 'user_show_list_watched':
  
     $p_swich = "axn=user_show_list_watched";
  
        opentable($locale['tsp_01']);
	        echo "<table cellpadding='0' cellspacing='1' width='80%' class='tbl-border center'>\n<tr>\n";
		      echo "<td class='tbl2' align='center'><a href='".FUSION_SELF.$user_link."axn=user_show_list'>".$locale['tsp_53']."</a></td>\n"; 
          echo "<td class='tbl2' align='center'><a href='".FUSION_SELF.$user_link."axn=user_new_show_search_to_add'>".$locale['tsp_05']."</a></td>\n";  
          echo "</tr>\n</table>\n";
		      echo "<br /><br />";
		      echo "<table cellpadding='0' cellspacing='1' width='80%' border='0'><tr><td><b>".$locale['tsp_53']."</b></td></trr></table>\n";
		      echo "<br /><br />";
	      
	      $resultx1=dbquery("SELECT * From ".DB_USER_TV_PROGRAMS."
                     WHERE tv_user_profile_id='$panel_user1' ");
    $rowsx1 = dbrows($resultx1);
    if  ($rowsx1 > 0) {
    
        echo "<table cellpadding='0' cellspacing='1' width='80%' class='tbl-border center'>\n<tr>\n";
		      echo "<td class='tbl2' align='center'><a href='".FUSION_SELF.$user_link."axn=user_show_list_planned'>".$locale['tsp_62']."</a></td>\n"; 
          echo "<td class='tbl2' align='center'><a href='".FUSION_SELF.$user_link."axn=user_show_list_watched'>".$locale['tsp_63']."</a></td>\n";
          echo "<td class='tbl2' align='center'><a href='".FUSION_SELF.$user_link."axn=user_show_list_suspended'>".$locale['tsp_64']."</a></td>\n"; 
          echo "<td class='tbl2' align='center'><a href='".FUSION_SELF.$user_link."axn=user_show_list_leaved'>".$locale['tsp_65']."</a></td>\n";
          echo "<td class='tbl2' align='center'><a href='".FUSION_SELF.$user_link."axn=user_show_list_completed'>".$locale['tsp_66']."</a></td>\n";     
          echo "</tr>\n</table>\n";
          echo "<br /><br />";
          
        $result1b = dbcount("(tv_user_id)", DB_USER_TV_PROGRAMS, "tv_user_id!='0'");  
        if (!isset($_GET['rowstart']) || !isnum($_GET['rowstart'])) { $_GET['rowstart'] = 0; } 
        $result1b=dbquery("SELECT a.*, b.* From ".DB_USER_TV_PROGRAMS." AS a
                     JOIN ".DB_TV_PROGRAMS." AS b ON b.tv_show_id = a.tv_user_show_id
                     WHERE a.tv_user_profile_id='$panel_user1' AND a.tv_user_show_status = '1' 
                     ORDER BY  b.tv_show_name ");
    $rows1b = dbrows($result1b);
    if  ($rows1b > 0) {
                  
                  $result1b=dbquery("SELECT a.*, b.* From ".DB_USER_TV_PROGRAMS." AS a
                     JOIN ".DB_TV_PROGRAMS." AS b ON b.tv_show_id = a.tv_user_show_id
                     WHERE a.tv_user_profile_id='$panel_user1' AND a.tv_user_show_status = '1' 
                     ORDER BY  b.tv_show_name, a.tv_user_id LIMIT ".$_GET['rowstart'].", $rows_per_page ");
                  
                  echo "<table cellpadding='0' cellspacing='1' width='95%' class='tbl-border center'><tr>\n";
                  echo "<td class='tbl2'colspan='6' align='center'>".$locale['tsp_63']."</td>\n";
                  echo "</tr><tr>";
                  echo "<td class='tbl2' align='center'>".$locale['tsp_19']."</td>\n";
                  echo "<td class='tbl2' align='center'>".$locale['tsp_57']."</td>\n"; 
                  echo "<td class='tbl2' align='center'>".$locale['tsp_22']."</td>\n";
                  echo "<td class='tbl2' align='center'>".$locale['tsp_23']."</td>\n";
                  echo "<td class='tbl2' align='center'>".$locale['tsp_25']."</td>\n";    
                  while ($data1b = dbarray($result1b)) {
                          echo "</tr><tr>";
                          echo "<td class='tbl2' align='left'>"; 
                          if (!empty($data1b['tv_show_image'])) {
                             echo "<a href='".$data1b['tv_show_image']."' target='_blank'><img src='".$data1b['tv_show_image']."' width='40px' /></a>&emsp;".$data1b['tv_show_name']." "; 
                          } else { 
                                 echo $data1b['tv_show_name']; 
                          } 
                          echo "</td>\n";
                          $program_user_url1b = $data1b['tv_user_show_url'];
                          echo "<td class='tbl2' align='center'>";
                          if  (empty($program_user_url1b)) {     
                                 echo " N/A";
                          } else {
                                  echo "<a href='".$program_user_url1b."' Target='_blank'>".$locale['tsp_59']."</a>";
                          }
                          echo "</td>\n"; 
                          echo "<td class='tbl2' align='center'>".$data1b['tv_user_show_episode']."</td>\n";
                          $program_user_time1b = $data1b['tv_user_show_time'];
                          echo "<td class='tbl2' align='center'>".tv_get_user_edit_time($program_user_time1b)."</td>\n";
                          echo "<td class='tbl2' align='center'><a href='".FUSION_SELF.$user_link."axn=editusershow&show_id=".$data1b['tv_user_id']."'>".$locale['tsp_09']."</a> <br /> <a href='".FUSION_SELF.$user_link."axn=deleteusershow&show_id=".$data1b['tv_user_id']."'>".$locale['tsp_10']."</a></td>\n";
                          echo "</tr><tr>";
                  }
                  echo "</table>\n";
                  if ($rows1b > $rows_per_page) {
                    echo "<br />";
                    echo "<div align='center' style='margin-top:5px;'>\n".Shmakeadminswichpagenav($user_link, $p_swich, $_GET['rowstart'],$rows_per_page,$rows1b,3)."\n</div>\n";
                  }
    } else {
               echo "<br />";
		          echo "<table cellpadding='0' cellspacing='1' width='80%' border='0'><tr><td><b>".$locale['tsp_63']."</b></td></trr></table>\n";
		          echo "<br />";
              echo "<center><div class='admin-message'>".$locale['tsp_43']."</div></center>";
    }
    } else {
              
		          echo "<br />";
              echo "<center><div class='admin-message'>".$locale['tsp_43']."</div></center>";
    }                                    
	  closetable();
  
  break;		
  //user show list suspended
	case 'user_show_list_suspended':
  
       $p_swich = "axn=user_show_list_suspended";
  
         opentable($locale['tsp_01']);
	        echo "<table cellpadding='0' cellspacing='1' width='80%' class='tbl-border center'>\n<tr>\n";
		      echo "<td class='tbl2' align='center'><a href='".FUSION_SELF.$user_link."axn=user_show_list'>".$locale['tsp_53']."</a></td>\n"; 
          echo "<td class='tbl2' align='center'><a href='".FUSION_SELF.$user_link."axn=user_new_show_search_to_add'>".$locale['tsp_05']."</a></td>\n";  
          echo "</tr>\n</table>\n";
		      echo "<br /><br />";
		      echo "<table cellpadding='0' cellspacing='1' width='80%' border='0'><tr><td><b>".$locale['tsp_53']."</b></td></trr></table>\n";
		      echo "<br /><br />";
	      
	      $resultx1=dbquery("SELECT * From ".DB_USER_TV_PROGRAMS."
                     WHERE tv_user_profile_id='$panel_user1' ");
    $rowsx1 = dbrows($resultx1);
    if  ($rowsx1 > 0) {
    
        echo "<table cellpadding='0' cellspacing='1' width='80%' class='tbl-border center'>\n<tr>\n";
		      echo "<td class='tbl2' align='center'><a href='".FUSION_SELF.$user_link."axn=user_show_list_planned'>".$locale['tsp_62']."</a></td>\n"; 
          echo "<td class='tbl2' align='center'><a href='".FUSION_SELF.$user_link."axn=user_show_list_watched'>".$locale['tsp_63']."</a></td>\n";
          echo "<td class='tbl2' align='center'><a href='".FUSION_SELF.$user_link."axn=user_show_list_suspended'>".$locale['tsp_64']."</a></td>\n"; 
          echo "<td class='tbl2' align='center'><a href='".FUSION_SELF.$user_link."axn=user_show_list_leaved'>".$locale['tsp_65']."</a></td>\n";
          echo "<td class='tbl2' align='center'><a href='".FUSION_SELF.$user_link."axn=user_show_list_completed'>".$locale['tsp_66']."</a></td>\n";     
          echo "</tr>\n</table>\n";
          echo "<br /><br />";
        
        $result1c = dbcount("(tv_user_id)", DB_USER_TV_PROGRAMS, "tv_user_id!='0'");  
        if (!isset($_GET['rowstart']) || !isnum($_GET['rowstart'])) { $_GET['rowstart'] = 0; }  
	      $result1c=dbquery("SELECT a.*, b.* From ".DB_USER_TV_PROGRAMS." AS a
                     JOIN ".DB_TV_PROGRAMS." AS b ON b.tv_show_id = a.tv_user_show_id
                     WHERE a.tv_user_profile_id='$panel_user1' AND a.tv_user_show_status = '2' 
                     ORDER BY  b.tv_show_name ");
    $rows1c = dbrows($result1c);
    if  ($rows1c > 0) {
                  
                   $result1c=dbquery("SELECT a.*, b.* From ".DB_USER_TV_PROGRAMS." AS a
                     JOIN ".DB_TV_PROGRAMS." AS b ON b.tv_show_id = a.tv_user_show_id
                     WHERE a.tv_user_profile_id='$panel_user1' AND a.tv_user_show_status = '2' 
                     ORDER BY  b.tv_show_name, a.tv_user_id LIMIT ".$_GET['rowstart'].", $rows_per_page ");
                  
                  echo "<table cellpadding='0' cellspacing='1' width='95%' class='tbl-border center'><tr>\n";
                  echo "<td class='tbl2'colspan='6' align='center'>".$locale['tsp_64']."</td>\n";
                  echo "</tr><tr>";
                  echo "<td class='tbl2' align='center'>".$locale['tsp_19']."</td>\n";
                  echo "<td class='tbl2' align='center'>".$locale['tsp_57']."</td>\n"; 
                  echo "<td class='tbl2' align='center'>".$locale['tsp_22']."</td>\n";
                  echo "<td class='tbl2' align='center'>".$locale['tsp_23']."</td>\n";
                  echo "<td class='tbl2' align='center'>".$locale['tsp_25']."</td>\n";    
                  while ($data1c = dbarray($result1c)) {
                          echo "</tr><tr>"; 
                          echo "<td class='tbl2' align='left'>"; 
                          if (!empty($data1c['tv_show_image'])) {
                             echo "<a href='".$data1c['tv_show_image']."' target='_blank'><img src='".$data1c['tv_show_image']."' width='40px' /></a>&emsp;".$data1c['tv_show_name']." "; 
                          } else { 
                                 echo $data1c['tv_show_name']; 
                          } 
                          echo "</td>\n";
                          $program_user_url1c = $data1c['tv_user_show_url'];
                          echo "<td class='tbl2' align='center'>";
                          if  (empty($program_user_url1c)) {     
                                 echo " N/A";
                          } else {
                                  echo "<a href='".$program_user_url1c."' Target='_blank'>".$locale['tsp_59']."</a>";
                          }
                          echo "</td>\n"; 
                          echo "<td class='tbl2' align='center'>".$data1c['tv_user_show_episode']."</td>\n";
                          $program_user_time1c = $data1c['tv_user_show_time'];
                          echo "<td class='tbl2' align='center'>".tv_get_user_edit_time($program_user_time1c)."</td>\n";
                          echo "<td class='tbl2' align='center'><a href='".FUSION_SELF.$user_link."axn=editusershow&show_id=".$data1c['tv_user_id']."'>".$locale['tsp_09']."</a> <br /> <a href='".FUSION_SELF.$user_link."axn=deleteusershow&show_id=".$data1c['tv_user_id']."'>".$locale['tsp_10']."</a></td>\n";
                          echo "</tr><tr>";
                  }
                  echo "</table>\n";
                  if ($rows1c > $rows_per_page) {
                    echo "<br />";
                    echo "<div align='center' style='margin-top:5px;'>\n".Shmakeadminswichpagenav($user_link, $p_swich, $_GET['rowstart'],$rows_per_page,$rows1c,3)."\n</div>\n";
                  }
    } else {
               echo "<br />";
		          echo "<table cellpadding='0' cellspacing='1' width='80%' border='0'><tr><td><b>".$locale['tsp_64']."</b></td></trr></table>\n";
		          echo "<br />";
              echo "<center><div class='admin-message'>".$locale['tsp_43']."</div></center>";
    }  
    } else {
              
		          echo "<br />";
              echo "<center><div class='admin-message'>".$locale['tsp_43']."</div></center>";
    }                                    
	  closetable();
  
  break;		
  //user show list leaved
	case 'user_show_list_leaved': 
  
      $p_swich = "axn=user_show_list_leaved";
    
    opentable($locale['tsp_01']);
	        echo "<table cellpadding='0' cellspacing='1' width='80%' class='tbl-border center'>\n<tr>\n";
		      echo "<td class='tbl2' align='center'><a href='".FUSION_SELF.$user_link."axn=user_show_list'>".$locale['tsp_53']."</a></td>\n"; 
          echo "<td class='tbl2' align='center'><a href='".FUSION_SELF.$user_link."axn=user_new_show_search_to_add'>".$locale['tsp_05']."</a></td>\n";  
          echo "</tr>\n</table>\n"; 
		      echo "<br /><br />";
		      echo "<table cellpadding='0' cellspacing='1' width='80%' border='0'><tr><td><b>".$locale['tsp_53']."</b></td></trr></table>\n";
		      echo "<br /><br />";
	      
	      $resultx1=dbquery("SELECT * From ".DB_USER_TV_PROGRAMS."
                     WHERE tv_user_profile_id='$panel_user1' ");
    $rowsx1 = dbrows($resultx1);
    if  ($rowsx1 > 0) {
    
        echo "<table cellpadding='0' cellspacing='1' width='80%' class='tbl-border center'>\n<tr>\n";
		      echo "<td class='tbl2' align='center'><a href='".FUSION_SELF.$user_link."axn=user_show_list_planned'>".$locale['tsp_62']."</a></td>\n"; 
          echo "<td class='tbl2' align='center'><a href='".FUSION_SELF.$user_link."axn=user_show_list_watched'>".$locale['tsp_63']."</a></td>\n";
          echo "<td class='tbl2' align='center'><a href='".FUSION_SELF.$user_link."axn=user_show_list_suspended'>".$locale['tsp_64']."</a></td>\n"; 
          echo "<td class='tbl2' align='center'><a href='".FUSION_SELF.$user_link."axn=user_show_list_leaved'>".$locale['tsp_65']."</a></td>\n";
          echo "<td class='tbl2' align='center'><a href='".FUSION_SELF.$user_link."axn=user_show_list_completed'>".$locale['tsp_66']."</a></td>\n";     
          echo "</tr>\n</table>\n";
          echo "<br /><br />";
          
        $result1d = dbcount("(tv_user_id)", DB_USER_TV_PROGRAMS, "tv_user_id!='0'");  
        if (!isset($_GET['rowstart']) || !isnum($_GET['rowstart'])) { $_GET['rowstart'] = 0; } 
	      $result1d=dbquery("SELECT a.*, b.* From ".DB_USER_TV_PROGRAMS." AS a
                     JOIN ".DB_TV_PROGRAMS." AS b ON b.tv_show_id = a.tv_user_show_id
                     WHERE a.tv_user_profile_id='$panel_user1' AND a.tv_user_show_status = '3' 
                     ORDER BY  b.tv_show_name ");
    $rows1d = dbrows($result1d);
    if  ($rows1d > 0) {
                  
                   $result1d=dbquery("SELECT a.*, b.* From ".DB_USER_TV_PROGRAMS." AS a
                     JOIN ".DB_TV_PROGRAMS." AS b ON b.tv_show_id = a.tv_user_show_id
                     WHERE a.tv_user_profile_id='$panel_user1' AND a.tv_user_show_status = '3' 
                     ORDER BY  b.tv_show_name, a.tv_user_id LIMIT ".$_GET['rowstart'].", $rows_per_page ");
                  
                  echo "<table cellpadding='0' cellspacing='1' width='95%' class='tbl-border center'><tr>\n";
                  echo "<td class='tbl2'colspan='6' align='center'>".$locale['tsp_65']."</td>\n";
                  echo "</tr><tr>"; 
                  echo "<td class='tbl2' align='center'>".$locale['tsp_19']."</td>\n";
                  echo "<td class='tbl2' align='center'>".$locale['tsp_57']."</td>\n"; 
                  echo "<td class='tbl2' align='center'>".$locale['tsp_22']."</td>\n";
                  echo "<td class='tbl2' align='center'>".$locale['tsp_23']."</td>\n";
                  echo "<td class='tbl2' align='center'>".$locale['tsp_25']."</td>\n";    
                  while ($data1d = dbarray($result1d)) {
                          echo "</tr><tr>";
                          echo "<td class='tbl2' align='left'>"; 
                          if (!empty($data1d['tv_show_image'])) {
                             echo "<a href='".$data1d['tv_show_image']."' target='_blank'><img src='".$data1d['tv_show_image']."' width='40px' /></a>&emsp;".$data1d['tv_show_name']." "; 
                          } else { 
                                 echo $data1d['tv_show_name']; 
                          } 
                          echo "</td>\n";
                          $program_user_url1d = $data1d['tv_user_show_url'];
                          echo "<td class='tbl2' align='center'>";
                          if  (empty($program_user_url1d)) {     
                                 echo " N/A";
                          } else {
                                  echo "<a href='".$program_user_url1d."' Target='_blank'>".$locale['tsp_59']."</a>";
                          }
                          echo "</td>\n"; 
                          echo "<td class='tbl2' align='center'>".$data1d['tv_user_show_episode']."</td>\n";
                          $program_user_time1d = $data1d['tv_user_show_time'];
                          echo "<td class='tbl2' align='center'>".tv_get_user_edit_time($program_user_time1d)."</td>\n";
                          echo "<td class='tbl2' align='center'><a href='".FUSION_SELF.$user_link."axn=editusershow&show_id=".$data1d['tv_user_id']."'>".$locale['tsp_09']."</a> <br /> <a href='".FUSION_SELF.$user_link."axn=deleteusershow&show_id=".$data1d['tv_user_id']."'>".$locale['tsp_10']."</a></td>\n";
                          echo "</tr><tr>";
                  }
                  echo "</table>\n";
                  if ($rows1d > $rows_per_page) {
                    echo "<br />";
                    echo "<div align='center' style='margin-top:5px;'>\n".Shmakeadminswichpagenav($user_link, $p_swich, $_GET['rowstart'],$rows_per_page,$rows1d,3)."\n</div>\n";
                  }
    } else {
               echo "<br />";
		          echo "<table cellpadding='0' cellspacing='1' width='80%' border='0'><tr><td><b>".$locale['tsp_65']."</b></td></trr></table>\n";
		          echo "<br />";
              echo "<center><div class='admin-message'>".$locale['tsp_43']."</div></center>";
    }
    } else {
              
		          echo "<br />";
              echo "<center><div class='admin-message'>".$locale['tsp_43']."</div></center>";
    }                                    
	  closetable();
  
  break;		
  //user show list completed
	case 'user_show_list_completed':
  
      $p_swich = "axn=user_show_list_completed";
  
     opentable($locale['tsp_01']);
	        echo "<table cellpadding='0' cellspacing='1' width='80%' class='tbl-border center'>\n<tr>\n";
		      echo "<td class='tbl2' align='center'><a href='".FUSION_SELF.$user_link."axn=user_show_list'>".$locale['tsp_53']."</a></td>\n"; 
          echo "<td class='tbl2' align='center'><a href='".FUSION_SELF.$user_link."axn=user_new_show_search_to_add'>".$locale['tsp_05']."</a></td>\n";  
          echo "</tr>\n</table>\n";
		      echo "<br /><br />";
		      echo "<table cellpadding='0' cellspacing='1' width='80%' border='0'><tr><td><b>".$locale['tsp_53']."</b></td></trr></table>\n";
		      echo "<br /><br />";
	      
	      $resultx1=dbquery("SELECT * From ".DB_USER_TV_PROGRAMS."
                     WHERE tv_user_profile_id='$panel_user1' ");
    $rowsx1 = dbrows($resultx1);
    if  ($rowsx1 > 0) {
    
        echo "<table cellpadding='0' cellspacing='1' width='80%' class='tbl-border center'>\n<tr>\n";
		      echo "<td class='tbl2' align='center'><a href='".FUSION_SELF.$user_link."axn=user_show_list_planned'>".$locale['tsp_62']."</a></td>\n"; 
          echo "<td class='tbl2' align='center'><a href='".FUSION_SELF.$user_link."axn=user_show_list_watched'>".$locale['tsp_63']."</a></td>\n";
          echo "<td class='tbl2' align='center'><a href='".FUSION_SELF.$user_link."axn=user_show_list_suspended'>".$locale['tsp_64']."</a></td>\n"; 
          echo "<td class='tbl2' align='center'><a href='".FUSION_SELF.$user_link."axn=user_show_list_leaved'>".$locale['tsp_65']."</a></td>\n";
          echo "<td class='tbl2' align='center'><a href='".FUSION_SELF.$user_link."axn=user_show_list_completed'>".$locale['tsp_66']."</a></td>\n";     
          echo "</tr>\n</table>\n";
          echo "<br /><br />";
          
	      $result1e = dbcount("(tv_user_id)", DB_USER_TV_PROGRAMS, "tv_user_id!='0'");  
        if (!isset($_GET['rowstart']) || !isnum($_GET['rowstart'])) { $_GET['rowstart'] = 0; } 
        $result1e=dbquery("SELECT a.*, b.* From ".DB_USER_TV_PROGRAMS." AS a
                     JOIN ".DB_TV_PROGRAMS." AS b ON b.tv_show_id = a.tv_user_show_id
                     WHERE a.tv_user_profile_id='$panel_user1' AND a.tv_user_show_status = '4' 
                     ORDER BY b.tv_show_name ");
    $rows1e = dbrows($result1e);
    if  ($rows1e > 0) {
                  
                 $result1e=dbquery("SELECT a.*, b.* From ".DB_USER_TV_PROGRAMS." AS a
                     JOIN ".DB_TV_PROGRAMS." AS b ON b.tv_show_id = a.tv_user_show_id
                     WHERE a.tv_user_profile_id='$panel_user1' AND a.tv_user_show_status = '4' 
                     ORDER BY b.tv_show_name, a.tv_user_id LIMIT ".$_GET['rowstart'].", $rows_per_page  "); 
                  
                  echo "<table cellpadding='0' cellspacing='1' width='95%' class='tbl-border center'><tr>\n";
                  echo "<td class='tbl2'colspan='6' align='center'>".$locale['tsp_66']."</td>\n";
                  echo "</tr><tr>";
                  echo "<td class='tbl2' align='center'>".$locale['tsp_19']."</td>\n";
                  echo "<td class='tbl2' align='center'>".$locale['tsp_57']."</td>\n";
                  echo "<td class='tbl2' align='center'>".$locale['tsp_23']."</td>\n";
                  echo "<td class='tbl2' align='center'>".$locale['tsp_25']."</td>\n";    
                  while ($data1e = dbarray($result1e)) {
                          echo "</tr><tr>";
                          echo "<td class='tbl2' align='left'>"; 
                          if (!empty($data1e['tv_show_image'])) {
                             echo "<a href='".$data1e['tv_show_image']."' target='_blank'><img src='".$data1e['tv_show_image']."' width='40px' /></a>&emsp;".$data1e['tv_show_name']." "; 
                          } else { 
                                 echo $data1e['tv_show_name']; 
                          } 
                          echo "</td>\n";
                          $program_user_url1e = $data1e['tv_user_show_url'];
                          echo "<td class='tbl2' align='center'>";
                          if  (empty($program_user_url1e)) {     
                                 echo " N/A";
                          } else {
                                  echo "<a href='".$program_user_url1e."' Target='_blank'>".$locale['tsp_59']."</a>";
                          }    
                          echo "</td>\n";
                          $program_user_time1e = $data1e['tv_user_show_time'];
                          echo "<td class='tbl2' align='center'>".tv_get_user_edit_time($program_user_time1e)."</td>\n";
                          echo "<td class='tbl2' align='center'><a href='".FUSION_SELF.$user_link."axn=editusershow&show_id=".$data1e['tv_user_id']."'>".$locale['tsp_09']."</a> <br /> <a href='".FUSION_SELF.$user_link."axn=deleteusershow&show_id=".$data1e['tv_user_id']."'>".$locale['tsp_10']."</a></td>\n";
                          echo "</tr><tr>";
                  }
                  echo "</table>\n";
                  if ($rows1e > $rows_per_page) {
                    echo "<br />";
                    echo "<div align='center' style='margin-top:5px;'>\n".Shmakeadminswichpagenav($user_link, $p_swich, $_GET['rowstart'],$rows_per_page,$rows1e,3)."\n</div>\n";
                  }
    } else {
               echo "<br />";
		          echo "<table cellpadding='0' cellspacing='1' width='80%' border='0'><tr><td><b>".$locale['tsp_66']."</b></td></trr></table>\n";
		          echo "<br />";
              echo "<center><div class='admin-message'>".$locale['tsp_43']."</div></center>";
    }
    } else {
              
		          echo "<br />";
              echo "<center><div class='admin-message'>".$locale['tsp_43']."</div></center>";
    }                                    
	  closetable();
	   
  break;	
	//add to user list	
	case 'user_show_add':
	   
	    if (isset($_POST['add_new_show'])) {
             $tv_user_profile_id5 = $panel_user1;                          
             $tv_user_show_id5 = stripinput($_POST['user_program_list']);
             $tv_user_show_status5 = stripinput($_POST['userr_show_status']);
             $tv_user_show_episode5 = stripinput($_POST['user_show_episode']);
             $tv_user_show_url5 = stripinput($_POST['user_show_url']); 
             if (!empty($tv_user_show_episode5) && hf_check_user_show_id($tv_user_show_id5, $tv_user_profile_id5) === FALSE) {
                   $result5 = dbquery("INSERT INTO ".DB_USER_TV_PROGRAMS." (tv_user_profile_id, tv_user_show_id, tv_user_show_status, tv_user_show_episode, tv_user_show_time, tv_user_show_url) VALUES('$tv_user_profile_id5', '$tv_user_show_id5', '$tv_user_show_status5', '$tv_user_show_episode5', '".time()."', '$tv_user_show_url5')");
                   echo "<center><div class='admin-message'>".$locale['tsp_39']."</div><center>";                  
                   if (!empty(stripinput($_POST['add_from_user_to_program'])) && stripinput($_POST['add_from_user_to_program']) == "1") {
                        $tv_user_show_program_name5 = stripinput($_POST['user_new_program_name']); 
                        $result5 = dbquery("INSERT INTO ".DB_TV_PROGRAMS." (tv_show_name, tv_show_name_add_time, tv_show_image) VALUES('$tv_user_show_program_name5', '".time()."', '')");
		                    echo "<br /><br /><center><div class='admin-message'>".$locale['tsp_36']."</div><center>";             
                   }
             } elseif (!empty($tv_user_show_episode5) && hf_check_user_show_id($tv_user_show_id5, $tv_user_profile_id5) === TRUE) {
               $result5 = dbquery("UPDATE ".DB_USER_TV_PROGRAMS." SET tv_user_show_status='".$tv_user_show_status5."', tv_user_show_episode='". $tv_user_show_episode5."', tv_user_show_url='".$tv_user_show_url5."' WHERE tv_user_show_id='".$tv_user_show_id5."'");
               	echo "<center><div class='admin-message'>".$locale['tsp_40']."</div><center>";
             } 
             echo "<br /><br /><a href='".FUSION_SELF."'>".$locale['tsp_35']."</a><br /><br />\n";
        }
  break;	
	//add to user list	(serching)
	case 'user_new_show_search_to_add':
	      
        if (isset($_POST['search_program'])) {
            echo "<form name='addform' action='".FUSION_SELF.$user_link."axn=user_show_add' method='post'>\n";
echo "<table cellpadding='0' cellspacing='0' width='400' class='center'>\n
<tr><td align='center' class='tbl2' colspan='2'><span style='font-weight:bold;font-size:1.5em;'>".$locale['tsp_05']."</span></td></tr>\n<tr>\n";
echo "<td width='130' class='tbl'>".$locale['tsp_26']." <font color='red'>*</font></td>\n";
$show_search3 = stripinput($_POST['show_search']);
$addtoprogramlist1 = stripinput($_POST['show_search_add']);
echo "<td class='tbl'>"; 
$program_name = $show_search3;
include INC_TV_PROGRAMS."tv_show_add_to_user_list.php";
echo "</td>\n";
echo "</tr>\n<tr>\n";
echo "<td width='130' class='tbl'>".$locale['tsp_28']." <font color='red'>*</font></td>\n";
echo "<td class='tbl'>"; 
include INC_TV_PROGRAMS."add_user_show_status_list.php";
echo "</td>\n";
echo "</tr>\n<tr>\n";
echo "<td width='130' class='tbl'>".$locale['tsp_29']." <font color='red'>*</font></td>\n";
echo "<td class='tbl'><input type='text' name='user_show_episode' value='1' class='textbox' style='width:200px;' /></td>\n";
echo "</tr>\n<tr>\n";
echo "<td width='130' class='tbl'>".$locale['tsp_58']."</td>\n";
echo "<td class='tbl'><input type='text' name='user_show_url' value='' class='textbox' style='width:200px;' /></td>\n";
echo "</tr>\n<tr>\n";
echo "<td align='center' colspan='2' class='tbl'><br />\n";
echo "<input type='submit' name='add_new_show' value='".$locale['tsp_08']."' class='button' />";
echo "<input type='button' onclick=\"history.go(-1);\" value='".$locale['tsp_55']."' class='button' />\n";
echo "</td></tr></table>\n";
echo "</form>\n";
        } else {
        
 if (!empty($show_id)) {

          $result22=dbquery("SELECT tv_show_name From ".DB_TV_PROGRAMS." WHERE tv_show_id=".$show_id." ");
          $data22 = dbarray($result22);
          $tv_user_program_name = $data22['tv_show_name'];
 } else {
          $tv_user_program_name = " ";
 }       
 
        
         echo "<form name='addform' action='".FUSION_SELF.$user_link."axn=user_new_show_search_to_add' method='post'>\n";
echo "<table cellpadding='0' cellspacing='0' width='600' class='center'>\n
<tr><td align='center' class='tbl2' colspan='4'><span style='font-weight:bold;font-size:1.5em;'>".$locale['tsp_47']."</span></td></tr>\n<tr>\n";
echo "<td width='130' class='tbl' align='right'>".$locale['tsp_49']."</td>\n";
echo "<td class='tbl'><input type='text' name='show_search' value='".$tv_user_program_name."' class='textbox' style='width:200px;' /></td>\n";
echo "<td width='130' class='tbl' align='right'>".$locale['tsp_76']."</td>\n";
if (empty($show_id)) {
echo "<td width='130' class='tbl'><select name='show_search_add' class='textbox' style='width:160px;' />";
         echo "<option value='0''>".$locale['tsp_77']."</option>";
         echo "<option value='1''>".$locale['tsp_78']."</option>";
         echo "</select></td>\n";
         echo "</tr><tr>";
} else {
echo "<td width='130' class='tbl'><select name='show_search_add' class='textbox' style='width:160px;' />";
echo "<option value='0''>".$locale['tsp_77']."</option>";
echo "</select></td>\n";
echo "</tr><tr>";

}
echo "<td align='center' colspan='4' class='tbl'><br />\n";
echo "<input type='submit' name='search_program' value='".$locale['tsp_45']."' class='button' />";
echo "<input type='button' onclick=\"history.go(-1);\" value='".$locale['tsp_55']."' class='button' />\n";
echo "</td></tr></table>\n";
echo "</form>\n";
        }
  break;
  //edit show list
  case 'editusershow':
	if (isset($_POST['edit_show'])) {
      $save_show_status = stripinput($_POST['edit_user_show_status']);
      $save_show_episode = stripinput($_POST['edit_show_episode']);
      $save_show_url = stripinput($_POST['edit_show_url']);     
      $result8b = dbquery("UPDATE ".DB_USER_TV_PROGRAMS." SET tv_user_show_status='".$save_show_status."', tv_user_show_episode='".$save_show_episode."', tv_user_show_url='".$save_show_url."', tv_user_show_time='".time()."' WHERE tv_user_id='".$show_id."' AND tv_user_profile_id='".$panel_user1."'");
			echo "<center><div class='admin-message'>".$locale['tsp_40']."</div><center>";
      echo "<br /><br /><a href='".FUSION_SELF."'>".$locale['tsp_35']."</a><br /><br />\n";
	}
	else {	
    $result8 = dbquery("SELECT * FROM ".DB_USER_TV_PROGRAMS." WHERE tv_user_id=".$show_id."");
		$data8 = dbarray($result8);
		$get_program_name_from_id = $data8['tv_user_show_id'];
    echo "<form name='editform' action='".FUSION_SELF.$user_link."axn=editusershow' method='post' style='margin:2em;'>\n";
		echo "<table cellpadding='0' cellspacing='0' width='400' class='center'>\n
<tr><td align='center' class='tbl2' colspan='2'><span style='font-weight:bold;font-size:1.5em;'>".$locale['tsp_06'].": ".hf_get_program_name($get_program_name_from_id)."</span></td></tr>\n<tr>\n";
echo "<td width='130' class='tbl'>".$locale['tsp_28']." <font color='red'>*</font></td>\n";
echo "<td class='tbl'>"; 
$user_show_status_old = $data8['tv_user_show_status'];
include INC_TV_PROGRAMS."edit_user_show_status_list.php";
echo "</td>\n";
echo "</tr>\n<tr>\n";
echo "<td width='130' class='tbl'>".$locale['tsp_29']." <font color='red'>*</font></td>\n";
echo "<td class='tbl'><input type='text' name='edit_show_episode' value='".$data8['tv_user_show_episode']."' class='textbox' style='width:200px;' /></td>\n";
echo "</tr>\n<tr>\n";
echo "<td width='130' class='tbl'>".$locale['tsp_58']."</td>\n";
echo "<td class='tbl'><input type='text' name='edit_show_url' value='".$data8['tv_user_show_url']."' class='textbox' style='width:200px;' /></td>\n";
echo "</tr>\n<tr>\n";
		echo "<td align='center' class='tbl' colspan='2'>\n";
		echo "<input type='hidden' name='show_id' value='$show_id'><input type='submit' name='edit_show' value='".$locale['tsp_09']."' class='button' />\n";
		echo "<input type='button' onclick=\"history.go(-1);\" value='".$locale['tsp_55']."' class='button' />\n";
    echo "</td></tr></table>\n";
		echo "</form>\n";
	}
	break;
	//dell user show
  case 'deleteusershow':
	if (isset($_POST['del_user_show'])) {
		dbquery("DELETE FROM ".DB_USER_TV_PROGRAMS." WHERE tv_user_id=".$show_id."");
		echo "<center><div class='admin-message'>".$locale['tsp_41']."</div><center>";
    echo "<br /><br /><a href='".FUSION_SELF."'>".$locale['tsp_35']."</a><br /><br />\n";
	}
	else {
		$result10 = dbquery("SELECT a.*, b.* From ".DB_USER_TV_PROGRAMS." AS a
                     JOIN ".DB_TV_PROGRAMS." AS b ON b.tv_show_id = a.tv_user_show_id
                     WHERE tv_user_id=".$show_id."");
		$data10 = dbarray($result10);
		echo "<form action='".FUSION_SELF.$user_link."axn=deleteusershow' method='post' style='margin:2em;'>\n";
		echo "<table width='50%' cellpadding='3' cellspacing='1' border='0' align='center'>\n";
		echo "<tr height='40'><td align='center' class='tbl2'><span style='font-weight:bold;font-size:1.5em;'>".$locale['tsp_07']."</span></td></tr>\n";
		echo "<tr><td class='tbl1' align='center' width='35%'>\n";
		echo "<p style='padding:2em;'>".$locale['tsp_30'].": \"<span style='font-weight:bold;'>".$data10['tv_user_id']." - ".$data10['tv_show_name']."</span>\" ?\n";
		echo "</td></tr>\n";
		echo "<tr><td align='center' class='tbl1'><input type='hidden' name='show_id' value='$show_id' />\n";
		echo "<input type='submit' name='del_user_show' value='".$locale['tsp_10']."' class='button' />\n";
		echo "<input type='button' onclick=\"history.go(-1);\" value='".$locale['tsp_55']."' class='button' />\n";
		echo "</td></tr></table>\n";
		echo "</form>";
	}
	break;
 
}

} else {
   include INC_TV_PROGRAMS."no_access.php";
}

require_once THEMES."templates/footer.php";
?>
