<?php
/*-------------------------------------------------------+
| PHP-Fusion Content Management System
| Copyright (C) 2002 - 2010 Nick Jones
| http://www.php-fusion.co.uk/
+--------------------------------------------------------+
| Filename: tv_show_list.php
| Author: Hisashi
+--------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license. You can redistribute it and/or
| modify it under the terms of this license which you
| can read by viewing the included agpl.txt or online
| at www.gnu.org/licenses/agpl.html. Removal of this
| copyright header is strictly prohibited without
| written permission from the original author(s).
+--------------------------------------------------------*/
require_once "../../maincore.php";

require_once THEMES."templates/header.php";
include INFUSIONS."tv_show_list/infusion_db.php";
include INC_TV_PROGRAMS."tv_show_list_include.php";

 if (file_exists(LC_TV_PROGRAMS.$settings['locale']."/tv_show_list.php")) {
	include LC_TV_PROGRAMS.$settings['locale']."/tv_show_list.php";
} else {
	include LC_TV_PROGRAMS."English/tv_show_list.php";
}

if (iMEMBER)  {
//get data user id
$panel_user1 = stripinput($_GET['user_id']);
if (empty($_GET['user_id']) || $_GET['user_id'] == $userdata['user_id']) { redirect("user/tv_show_list.php"); }

$resultx0=dbquery("SELECT * From ".DB_USERS."
                     WHERE user_id='$panel_user1' ");
    $datax0 = dbarray($resultx0);
if (!empty($datax0['user_showlist']) && $datax0['user_showlist'] == "1") {

$bs_sys_url = BASEDIR;
$axn = isset($_REQUEST['axn']) ? $_REQUEST['axn'] : "";
$show_id = (isset($_REQUEST['show_id']) AND isnum($_REQUEST['show_id'])) ? $_REQUEST['show_id'] : "";

$user_link = "?";
//show list
$rows_per_page = "20";
//program list
$rows_per_page2 = "30";
//user  viewer id
$tv_user_profile_id5u =  $userdata['user_id'];
 
switch ($axn) {
  //menu
  default:
  
          opentable($locale['tsp_01']);
	        echo "<table cellpadding='0' cellspacing='1' width='80%' class='tbl-border center'><tr>\n";
		      echo "<td class='tbl2' align='center'><a href='".FUSION_SELF.$user_link."axn=user_show_list&amp;user_id=".$panel_user1."'>".$locale['tsp_01']."</a></td>\n";  
          echo "</tr>\n</table>\n";
          closetable();
  
  break;		
  //user show list	
	case 'user_show_list':
	
	  $resultx0a=dbquery("SELECT user_name From ".DB_USERS."
                     WHERE user_id='$panel_user1' ");
    $datax0a = dbarray($resultx0a);
    
	   opentable($locale['tspu_00'].$datax0a['user_name']);
	        echo "<table cellpadding='0' cellspacing='1' width='80%' class='tbl-border center'>\n<tr>\n";
		      echo "<td class='tbl2' align='center'><a href='".FUSION_SELF.$user_link."axn=user_show_list&amp;user_id=".$panel_user1."'>".$locale['tsp_01']."</a></td>\n";   
          echo "</tr>\n</table>\n";
		      echo "<br /><br />";
		      $resultx1=dbquery("SELECT * From ".DB_USER_TV_PROGRAMS."
                     WHERE tv_user_profile_id='$panel_user1' ");
    $rowsx1 = dbrows($resultx1);
    if  ($rowsx1 > 0) {
		      
         
          echo "<table cellpadding='0' cellspacing='1' width='80%' class='tbl-border center'>\n<tr>\n";
		      echo "<td class='tbl2' align='center'><a href='".FUSION_SELF.$user_link."axn=user_show_list_planned&amp;user_id=".$panel_user1."'>".$locale['tsp_62']."</a></td>\n"; 
          echo "<td class='tbl2' align='center'><a href='".FUSION_SELF.$user_link."axn=user_show_list_watched&amp;user_id=".$panel_user1."'>".$locale['tsp_63']."</a></td>\n";
          echo "<td class='tbl2' align='center'><a href='".FUSION_SELF.$user_link."axn=user_show_list_suspended&amp;user_id=".$panel_user1."'>".$locale['tsp_64']."</a></td>\n"; 
          echo "<td class='tbl2' align='center'><a href='".FUSION_SELF.$user_link."axn=user_show_list_leaved&amp;user_id=".$panel_user1."'>".$locale['tsp_65']."</a></td>\n";
          echo "<td class='tbl2' align='center'><a href='".FUSION_SELF.$user_link."axn=user_show_list_completed&amp;user_id=".$panel_user1."'>".$locale['tsp_66']."</a></td>\n";     
          echo "</tr>\n</table>\n";
          echo "<br />";
    } else {
              
		          echo "<br />";
              echo "<center><div class='admin-message'>".$locale['tspu_02']."</div></center>";                               
	  }
    closetable();
  break;		
  //user show list planed
	case 'user_show_list_planned':
  
      $p_swich = "axn=user_show_list_planned&amp;user_id=".$panel_user1."";
     
         $resultx0b=dbquery("SELECT user_name From ".DB_USERS."
                     WHERE user_id='$panel_user1' ");
    $datax0b = dbarray($resultx0b);
    
	   opentable($locale['tspu_00'].$datax0b['user_name']);
	        echo "<table cellpadding='0' cellspacing='1' width='80%' class='tbl-border center'>\n<tr>\n";
		        echo "<td class='tbl2' align='center'><a href='".FUSION_SELF.$user_link."axn=user_show_list&amp;user_id=".$panel_user1."'>".$locale['tsp_01']."</a></td>\n";  
          echo "</tr>\n</table>\n";
		      echo "<br /><br />";
	       
	      $resultx1=dbquery("SELECT * From ".DB_USER_TV_PROGRAMS."
                     WHERE tv_user_profile_id='$panel_user1' ");
    $rowsx1 = dbrows($resultx1);
    if  ($rowsx1 > 0) {
    
         echo "<table cellpadding='0' cellspacing='1' width='80%' class='tbl-border center'>\n<tr>\n";
		      echo "<td class='tbl2' align='center'><a href='".FUSION_SELF.$user_link."axn=user_show_list_planned&amp;user_id=".$panel_user1."'>".$locale['tsp_62']."</a></td>\n"; 
          echo "<td class='tbl2' align='center'><a href='".FUSION_SELF.$user_link."axn=user_show_list_watched&amp;user_id=".$panel_user1."'>".$locale['tsp_63']."</a></td>\n";
          echo "<td class='tbl2' align='center'><a href='".FUSION_SELF.$user_link."axn=user_show_list_suspended&amp;user_id=".$panel_user1."'>".$locale['tsp_64']."</a></td>\n"; 
          echo "<td class='tbl2' align='center'><a href='".FUSION_SELF.$user_link."axn=user_show_list_leaved&amp;user_id=".$panel_user1."'>".$locale['tsp_65']."</a></td>\n";
          echo "<td class='tbl2' align='center'><a href='".FUSION_SELF.$user_link."axn=user_show_list_completed&amp;user_id=".$panel_user1."'>".$locale['tsp_66']."</a></td>\n";     
          echo "</tr>\n</table>\n";
          echo "<br /><br />";
       
       $result1a = dbcount("(tv_user_id)", DB_USER_TV_PROGRAMS, "tv_user_id!='0'");  
        if (!isset($_GET['rowstart']) || !isnum($_GET['rowstart'])) { $_GET['rowstart'] = 0; }     
        $result1a=dbquery("SELECT a.*, b.* From ".DB_USER_TV_PROGRAMS." AS a
                     JOIN ".DB_TV_PROGRAMS." AS b ON b.tv_show_id = a.tv_user_show_id
                     WHERE a.tv_user_profile_id='$panel_user1' AND a.tv_user_show_status = '0' 
                     ORDER BY b.tv_show_name ");
    $rows1a = dbrows($result1a);
    if  ($rows1a > 0) {
            
             $result1a=dbquery("SELECT a.*, b.* From ".DB_USER_TV_PROGRAMS." AS a
                     JOIN ".DB_TV_PROGRAMS." AS b ON b.tv_show_id = a.tv_user_show_id
                     WHERE a.tv_user_profile_id='$panel_user1' AND a.tv_user_show_status = '0' 
                     ORDER BY b.tv_show_name, a.tv_user_id LIMIT ".$_GET['rowstart'].", $rows_per_page ");
                  
                  echo "<table cellpadding='0' cellspacing='1' width='95%' class='tbl-border center'><tr>\n";
                  echo "<td class='tbl2'colspan='6' align='center'>".$locale['tsp_62']."</td>\n";
                  echo "</tr><tr>";; 
                  echo "<td class='tbl2' align='center'>".$locale['tsp_19']."</td>\n";
                  echo "<td class='tbl2' align='center'>".$locale['tsp_57']."</td>\n";
                  echo "<td class='tbl2' align='center'>".$locale['tsp_23']."</td>\n";
                  echo "<td class='tbl2' align='center'>".$locale['tsp_25']."</td>\n";    
                  while ($data1a = dbarray($result1a)) {
                          echo "</tr><tr>";
                          echo "<td class='tbl2' align='left'>"; 
                          if (!empty($data1a['tv_show_image'])) {
                             echo "<a href='".$data1a['tv_show_image']."' target='_blank'><img src='".$data1a['tv_show_image']."' width='20px' /></a> ".$data1a['tv_show_name']." "; 
                          } else { 
                                echo $data1a['tv_show_name']; 
                          } 
                          echo "</td>\n";
                          $program_user_url1a = $data1a['tv_user_show_url'];
                          echo "<td class='tbl2' align='center'>";
                          if  (empty($program_user_url1a)) {     
                                 echo " ";
                          } else {
                                  echo "<a href='".$program_user_url1a."' Target='_blank'>".$locale['tspu_03']."</a>";
                          }
                          echo "</td>\n"; 
                          $program_user_time1a = $data1a['tv_user_show_time'];
                          echo "<td class='tbl2' align='center'>".tv_get_user_edit_time($program_user_time1a)."</td>\n";
                          echo "<td class='tbl2' align='center'>";
                          $tv_user_show_id5 = $data1a['tv_show_id']; 
                          if (hf_check_user_show_id($tv_user_show_id5, $tv_user_profile_id5u) === FALSE) {
                                echo "<a href='".INFUSIONS."tv_show_list/user/tv_show_list.php?axn=user_new_show_search_to_add&show_id=".$data1a['tv_show_id']."'>".$locale['tspp_04']."</a>";
                          } else {
                                  echo $locale['tspp_09'];
                          }
                          echo "</td>\n";
                          echo "</tr><tr>";
                  }
                  echo "</table>\n";
                  if ($rows1a > $rows_per_page) {
                    echo "<br />";
                    echo "<div align='center' style='margin-top:5px;'>\n".Shmakeadminswichpagenav($user_link, $p_swich, $_GET['rowstart'],$rows_per_page,$rows1a,3)."\n</div>\n";
                  }
    } else {
              echo "<br />";
		          echo "<table cellpadding='0' cellspacing='1' width='80%' border='0'><tr><td><b>".$locale['tsp_62']."</b></td></trr></table>\n";
		          echo "<br />";
              echo "<center><div class='admin-message'>".$locale['tspu_02']."</div></center>";
    }
    } else {
              
		          echo "<br />";
              echo "<center><div class='admin-message'>".$locale['tspu_02']."</div></center>";
    }                                    
	  closetable();
  
  break;		
  //user show list wached
	case 'user_show_list_watched':
  
     $p_swich = "axn=user_show_list_watched&amp;user_id=".$panel_user1."";
  
         $resultx0c=dbquery("SELECT user_name From ".DB_USERS."
                     WHERE user_id='$panel_user1' ");
    $datax0c = dbarray($resultx0c);
    
	   opentable($locale['tspu_00'].$datax0c['user_name']);
	        echo "<table cellpadding='0' cellspacing='1' width='80%' class='tbl-border center'>\n<tr>\n";
		      echo "<td class='tbl2' align='center'><a href='".FUSION_SELF.$user_link."axn=user_show_list&amp;user_id=".$panel_user1."'>".$locale['tsp_01']."</a></td>\n";   
          echo "</tr>\n</table>\n";
		      echo "<br /><br />";
	      
	      $resultx1=dbquery("SELECT * From ".DB_USER_TV_PROGRAMS."
                     WHERE tv_user_profile_id='$panel_user1' ");
    $rowsx1 = dbrows($resultx1);
    if  ($rowsx1 > 0) {
    
         echo "<table cellpadding='0' cellspacing='1' width='80%' class='tbl-border center'>\n<tr>\n";
		      echo "<td class='tbl2' align='center'><a href='".FUSION_SELF.$user_link."axn=user_show_list_planned&amp;user_id=".$panel_user1."'>".$locale['tsp_62']."</a></td>\n"; 
          echo "<td class='tbl2' align='center'><a href='".FUSION_SELF.$user_link."axn=user_show_list_watched&amp;user_id=".$panel_user1."'>".$locale['tsp_63']."</a></td>\n";
          echo "<td class='tbl2' align='center'><a href='".FUSION_SELF.$user_link."axn=user_show_list_suspended&amp;user_id=".$panel_user1."'>".$locale['tsp_64']."</a></td>\n"; 
          echo "<td class='tbl2' align='center'><a href='".FUSION_SELF.$user_link."axn=user_show_list_leaved&amp;user_id=".$panel_user1."'>".$locale['tsp_65']."</a></td>\n";
          echo "<td class='tbl2' align='center'><a href='".FUSION_SELF.$user_link."axn=user_show_list_completed&amp;user_id=".$panel_user1."'>".$locale['tsp_66']."</a></td>\n";      
          echo "</tr>\n</table>\n";
          echo "<br /><br />";
          
        $result1b = dbcount("(tv_user_id)", DB_USER_TV_PROGRAMS, "tv_user_id!='0'");  
        if (!isset($_GET['rowstart']) || !isnum($_GET['rowstart'])) { $_GET['rowstart'] = 0; } 
        $result1b=dbquery("SELECT a.*, b.* From ".DB_USER_TV_PROGRAMS." AS a
                     JOIN ".DB_TV_PROGRAMS." AS b ON b.tv_show_id = a.tv_user_show_id
                     WHERE a.tv_user_profile_id='$panel_user1' AND a.tv_user_show_status = '1' 
                     ORDER BY  b.tv_show_name ");
    $rows1b = dbrows($result1b);
    if  ($rows1b > 0) {
                  
                  $result1b=dbquery("SELECT a.*, b.* From ".DB_USER_TV_PROGRAMS." AS a
                     JOIN ".DB_TV_PROGRAMS." AS b ON b.tv_show_id = a.tv_user_show_id
                     WHERE a.tv_user_profile_id='$panel_user1' AND a.tv_user_show_status = '1' 
                     ORDER BY  b.tv_show_name, a.tv_user_id LIMIT ".$_GET['rowstart'].", $rows_per_page ");
                  
                  echo "<table cellpadding='0' cellspacing='1' width='95%' class='tbl-border center'><tr>\n";
                  echo "<td class='tbl2'colspan='6' align='center'>".$locale['tsp_63']."</td>\n";
                  echo "</tr><tr>";
                  echo "<td class='tbl2' align='center'>".$locale['tsp_19']."</td>\n";
                  echo "<td class='tbl2' align='center'>".$locale['tsp_57']."</td>\n"; 
                  echo "<td class='tbl2' align='center'>".$locale['tsp_22']."</td>\n";
                  echo "<td class='tbl2' align='center'>".$locale['tsp_23']."</td>\n";
                  echo "<td class='tbl2' align='center'>".$locale['tsp_25']."</td>\n";    
                  while ($data1b = dbarray($result1b)) {
                          echo "</tr><tr>";
                          echo "<td class='tbl2' align='left'>"; 
                          if (!empty($data1b['tv_show_image'])) {
                             echo "<a href='".$data1b['tv_show_image']."' target='_blank'><img src='".$data1b['tv_show_image']."' width='20px' /></a> ".$data1b['tv_show_name']." "; 
                          } else { 
                                 echo $data1b['tv_show_name']; 
                          } 
                          echo "</td>\n";
                          $program_user_url1b = $data1b['tv_user_show_url'];
                          echo "<td class='tbl2' align='center'>";
                          if  (empty($program_user_url1b)) {     
                                 echo " ";
                          } else {
                                  echo "<a href='".$program_user_url1b."' Target='_blank'>".$locale['tspu_03']."</a>";
                          }
                          echo "</td>\n"; 
                          echo "<td class='tbl2' align='center'>".$data1b['tv_user_show_episode']."</td>\n";
                          $program_user_time1b = $data1b['tv_user_show_time'];
                          echo "<td class='tbl2' align='center'>".tv_get_user_edit_time($program_user_time1b)."</td>\n";
                          echo "<td class='tbl2' align='center'>";
                          $tv_user_show_id5 = $data1b['tv_show_id']; 
                          if (hf_check_user_show_id($tv_user_show_id5, $tv_user_profile_id5u) === FALSE) {
                                echo "<a href='".INFUSIONS."tv_show_list/user/tv_show_list.php?axn=user_new_show_search_to_add&show_id=".$data1b['tv_show_id']."'>".$locale['tspp_04']."</a>";
                          } else {
                                  echo $locale['tspp_09'];
                          }
                          echo "</td>\n";
                          echo "</tr><tr>";
                  }
                  echo "</table>\n";
                  if ($rows1b > $rows_per_page) {
                    echo "<br />";
                    echo "<div align='center' style='margin-top:5px;'>\n".Shmakeadminswichpagenav($user_link, $p_swich, $_GET['rowstart'],$rows_per_page,$rows1b,3)."\n</div>\n";
                  }
    } else {
               echo "<br />";
		          echo "<table cellpadding='0' cellspacing='1' width='80%' border='0'><tr><td><b>".$locale['tsp_63']."</b></td></trr></table>\n";
		          echo "<br />";
              echo "<center><div class='admin-message'>".$locale['tspu_02']."</div></center>";
    }
    } else {
              
		          echo "<br />";
              echo "<center><div class='admin-message'>".$locale['tspu_02']."</div></center>";
    }                                    
	  closetable();
  
  break;		
  //user show list suspended
	case 'user_show_list_suspended':
  
       $p_swich = "axn=user_show_list_suspended&amp;user_id=".$panel_user1."";
  
          $resultx0d=dbquery("SELECT user_name From ".DB_USERS."
                     WHERE user_id='$panel_user1' ");
    $datax0d = dbarray($resultx0d);
    
	   opentable($locale['tspu_00'].$datax0d['user_name']);
	        echo "<table cellpadding='0' cellspacing='1' width='80%' class='tbl-border center'>\n<tr>\n";
		      echo "<td class='tbl2' align='center'><a href='".FUSION_SELF.$user_link."axn=user_show_list&amp;user_id=".$panel_user1."'>".$locale['tsp_01']."</a></td>\n";  
          echo "</tr>\n</table>\n";
		      echo "<br /><br />";
	      
	      $resultx1=dbquery("SELECT * From ".DB_USER_TV_PROGRAMS."
                     WHERE tv_user_profile_id='$panel_user1' ");
    $rowsx1 = dbrows($resultx1);
    if  ($rowsx1 > 0) {
    
          echo "<table cellpadding='0' cellspacing='1' width='80%' class='tbl-border center'>\n<tr>\n";
		      echo "<td class='tbl2' align='center'><a href='".FUSION_SELF.$user_link."axn=user_show_list_planned&amp;user_id=".$panel_user1."'>".$locale['tsp_62']."</a></td>\n"; 
          echo "<td class='tbl2' align='center'><a href='".FUSION_SELF.$user_link."axn=user_show_list_watched&amp;user_id=".$panel_user1."'>".$locale['tsp_63']."</a></td>\n";
          echo "<td class='tbl2' align='center'><a href='".FUSION_SELF.$user_link."axn=user_show_list_suspended&amp;user_id=".$panel_user1."'>".$locale['tsp_64']."</a></td>\n"; 
          echo "<td class='tbl2' align='center'><a href='".FUSION_SELF.$user_link."axn=user_show_list_leaved&amp;user_id=".$panel_user1."'>".$locale['tsp_65']."</a></td>\n";
          echo "<td class='tbl2' align='center'><a href='".FUSION_SELF.$user_link."axn=user_show_list_completed&amp;user_id=".$panel_user1."'>".$locale['tsp_66']."</a></td>\n";  
          echo "</tr>\n</table>\n";
          echo "<br /><br />";
          
        $result1c = dbcount("(tv_user_id)", DB_USER_TV_PROGRAMS, "tv_user_id!='0'");  
        if (!isset($_GET['rowstart']) || !isnum($_GET['rowstart'])) { $_GET['rowstart'] = 0; }  
	      $result1c=dbquery("SELECT a.*, b.* From ".DB_USER_TV_PROGRAMS." AS a
                     JOIN ".DB_TV_PROGRAMS." AS b ON b.tv_show_id = a.tv_user_show_id
                     WHERE a.tv_user_profile_id='$panel_user1' AND a.tv_user_show_status = '2' 
                     ORDER BY  b.tv_show_name ");
    $rows1c = dbrows($result1c);
    if  ($rows1c > 0) {
                  
                   $result1c=dbquery("SELECT a.*, b.* From ".DB_USER_TV_PROGRAMS." AS a
                     JOIN ".DB_TV_PROGRAMS." AS b ON b.tv_show_id = a.tv_user_show_id
                     WHERE a.tv_user_profile_id='$panel_user1' AND a.tv_user_show_status = '2' 
                     ORDER BY  b.tv_show_name, a.tv_user_id LIMIT ".$_GET['rowstart'].", $rows_per_page ");
                  
                  echo "<table cellpadding='0' cellspacing='1' width='95%' class='tbl-border center'><tr>\n";
                  echo "<td class='tbl2'colspan='6' align='center'>".$locale['tsp_64']."</td>\n";
                  echo "</tr><tr>";
                  echo "<td class='tbl2' align='center'>".$locale['tsp_19']."</td>\n";
                  echo "<td class='tbl2' align='center'>".$locale['tsp_57']."</td>\n"; 
                  echo "<td class='tbl2' align='center'>".$locale['tsp_22']."</td>\n";
                  echo "<td class='tbl2' align='center'>".$locale['tsp_23']."</td>\n";
                  echo "<td class='tbl2' align='center'>".$locale['tsp_25']."</td>\n";    
                  while ($data1c = dbarray($result1c)) {
                          echo "</tr><tr>"; 
                          echo "<td class='tbl2' align='left'>"; 
                          if (!empty($data1c['tv_show_image'])) {
                             echo "<a href='".$data1c['tv_show_image']."' target='_blank'><img src='".$data1c['tv_show_image']."' width='20px' /></a> ".$data1c['tv_show_name']." "; 
                          } else { 
                                 echo $data1c['tv_show_name']; 
                          } 
                          echo "</td>\n";
                          $program_user_url1c = $data1c['tv_user_show_url'];
                          echo "<td class='tbl2' align='center'>";
                          if  (empty($program_user_url1c)) {     
                                 echo " ";
                          } else {
                                  echo "<a href='".$program_user_url1c."' Target='_blank'>".$locale['tspu_03']."</a>";
                          }
                          echo "</td>\n"; 
                          echo "<td class='tbl2' align='center'>".$data1c['tv_user_show_episode']."</td>\n";
                          $program_user_time1c = $data1c['tv_user_show_time'];
                          echo "<td class='tbl2' align='center'>".tv_get_user_edit_time($program_user_time1c)."</td>\n";
                          echo "<td class='tbl2' align='center'>";
                          $tv_user_show_id5 = $data1c['tv_show_id']; 
                          if (hf_check_user_show_id($tv_user_show_id5, $tv_user_profile_id5u) === FALSE) {
                                echo "<a href='".INFUSIONS."tv_show_list/user/tv_show_list.php?axn=user_new_show_search_to_add&show_id=".$data1c['tv_show_id']."'>".$locale['tspp_04']."</a>";
                          } else {
                                  echo $locale['tspp_09'];
                          }
                          echo "</td>\n";
                          echo "</tr><tr>";
                  }
                  echo "</table>\n";
                  if ($rows1c > $rows_per_page) {
                    echo "<br />";
                    echo "<div align='center' style='margin-top:5px;'>\n".Shmakeadminswichpagenav($user_link, $p_swich, $_GET['rowstart'],$rows_per_page,$rows1c,3)."\n</div>\n";
                  }
    } else {
               echo "<br />";
		          echo "<table cellpadding='0' cellspacing='1' width='80%' border='0'><tr><td><b>".$locale['tsp_64']."</b></td></trr></table>\n";
		          echo "<br />";
              echo "<center><div class='admin-message'>".$locale['tspu_02']."</div></center>";
    }  
    } else {
              
		          echo "<br />";
              echo "<center><div class='admin-message'>".$locale['tspu_02']."</div></center>";
    }                                    
	  closetable();
  
  break;		
  //user show list leaved
	case 'user_show_list_leaved': 
  
      $p_swich = "axn=user_show_list_leaved&amp;user_id=".$panel_user1."";
    
     $resultx0e=dbquery("SELECT user_name From ".DB_USERS."
                     WHERE user_id='$panel_user1' ");
    $datax0e = dbarray($resultx0e);
    
	   opentable($locale['tspu_00'].$datax0e['user_name']);
	        echo "<table cellpadding='0' cellspacing='1' width='80%' class='tbl-border center'>\n<tr>\n";
		      echo "<td class='tbl2' align='center'><a href='".FUSION_SELF.$user_link."axn=user_show_list&amp;user_id=".$panel_user1."'>".$locale['tsp_01']."</a></td>\n";   
          echo "</tr>\n</table>\n";
          echo "<br /><br />";
	      
	      $resultx1=dbquery("SELECT * From ".DB_USER_TV_PROGRAMS."
                     WHERE tv_user_profile_id='$panel_user1' ");
    $rowsx1 = dbrows($resultx1);
    if  ($rowsx1 > 0) {
    
         echo "<table cellpadding='0' cellspacing='1' width='80%' class='tbl-border center'>\n<tr>\n";
		      echo "<td class='tbl2' align='center'><a href='".FUSION_SELF.$user_link."axn=user_show_list_planned&amp;user_id=".$panel_user1."'>".$locale['tsp_62']."</a></td>\n"; 
          echo "<td class='tbl2' align='center'><a href='".FUSION_SELF.$user_link."axn=user_show_list_watched&amp;user_id=".$panel_user1."'>".$locale['tsp_63']."</a></td>\n";
          echo "<td class='tbl2' align='center'><a href='".FUSION_SELF.$user_link."axn=user_show_list_suspended&amp;user_id=".$panel_user1."'>".$locale['tsp_64']."</a></td>\n"; 
          echo "<td class='tbl2' align='center'><a href='".FUSION_SELF.$user_link."axn=user_show_list_leaved&amp;user_id=".$panel_user1."'>".$locale['tsp_65']."</a></td>\n";
          echo "<td class='tbl2' align='center'><a href='".FUSION_SELF.$user_link."axn=user_show_list_completed&amp;user_id=".$panel_user1."'>".$locale['tsp_66']."</a></td>\n";  
          echo "</tr>\n</table>\n";
          echo "<br /><br />";
          
        $result1d = dbcount("(tv_user_id)", DB_USER_TV_PROGRAMS, "tv_user_id!='0'");  
        if (!isset($_GET['rowstart']) || !isnum($_GET['rowstart'])) { $_GET['rowstart'] = 0; } 
	      $result1d=dbquery("SELECT a.*, b.* From ".DB_USER_TV_PROGRAMS." AS a
                     JOIN ".DB_TV_PROGRAMS." AS b ON b.tv_show_id = a.tv_user_show_id
                     WHERE a.tv_user_profile_id='$panel_user1' AND a.tv_user_show_status = '3' 
                     ORDER BY  b.tv_show_name ");
    $rows1d = dbrows($result1d);
    if  ($rows1d > 0) {
                  
                   $result1d=dbquery("SELECT a.*, b.* From ".DB_USER_TV_PROGRAMS." AS a
                     JOIN ".DB_TV_PROGRAMS." AS b ON b.tv_show_id = a.tv_user_show_id
                     WHERE a.tv_user_profile_id='$panel_user1' AND a.tv_user_show_status = '3' 
                     ORDER BY  b.tv_show_name, a.tv_user_id LIMIT ".$_GET['rowstart'].", $rows_per_page ");
                  
                  echo "<table cellpadding='0' cellspacing='1' width='95%' class='tbl-border center'><tr>\n";
                  echo "<td class='tbl2'colspan='6' align='center'>".$locale['tsp_65']."</td>\n";
                  echo "</tr><tr>"; 
                  echo "<td class='tbl2' align='center'>".$locale['tsp_19']."</td>\n";
                  echo "<td class='tbl2' align='center'>".$locale['tsp_57']."</td>\n"; 
                  echo "<td class='tbl2' align='center'>".$locale['tsp_22']."</td>\n";
                  echo "<td class='tbl2' align='center'>".$locale['tsp_23']."</td>\n";
                  echo "<td class='tbl2' align='center'>".$locale['tsp_25']."</td>\n";    
                  while ($data1d = dbarray($result1d)) {
                          echo "</tr><tr>";
                          echo "<td class='tbl2' align='left'>"; 
                          if (!empty($data1d['tv_show_image'])) {
                             echo "<a href='".$data1d['tv_show_image']."' target='_blank'><img src='".$data1d['tv_show_image']."' width='20px' /></a> ".$data1d['tv_show_name']." "; 
                          } else { 
                                 echo $data1d['tv_show_name']; 
                          } 
                          echo "</td>\n";
                          $program_user_url1d = $data1d['tv_user_show_url'];
                          echo "<td class='tbl2' align='center'>";
                          if  (empty($program_user_url1d)) {     
                                 echo " ";
                          } else {
                                  echo "<a href='".$program_user_url1d."' Target='_blank'>".$locale['tspu_03']."</a>";
                          }
                          echo "</td>\n"; 
                          echo "<td class='tbl2' align='center'>".$data1d['tv_user_show_episode']."</td>\n";
                          $program_user_time1d = $data1d['tv_user_show_time'];
                          echo "<td class='tbl2' align='center'>".tv_get_user_edit_time($program_user_time1d)."</td>\n";
                          echo "<td class='tbl2' align='center'>";
                          $tv_user_show_id5 = $data1d['tv_show_id']; 
                          if (hf_check_user_show_id($tv_user_show_id5, $tv_user_profile_id5u) === FALSE) {
                                echo "<a href='".INFUSIONS."tv_show_list/user/tv_show_list.php?axn=user_new_show_search_to_add&show_id=".$data1d['tv_show_id']."'>".$locale['tspp_04']."</a>";
                          } else {
                                  echo $locale['tspp_09'];
                          }
                          echo "</td>\n";
                          echo "</tr><tr>";
                  }
                  echo "</table>\n";
                  if ($rows1d > $rows_per_page) {
                    echo "<br />";
                    echo "<div align='center' style='margin-top:5px;'>\n".Shmakeadminswichpagenav($user_link, $p_swich, $_GET['rowstart'],$rows_per_page,$rows1d,3)."\n</div>\n";
                  }
    } else {
               echo "<br />";
		          echo "<table cellpadding='0' cellspacing='1' width='80%' border='0'><tr><td><b>".$locale['tsp_65']."</b></td></trr></table>\n";
		          echo "<br />";
              echo "<center><div class='admin-message'>".$locale['tspu_02']."</div></center>";
    }
    } else {
              
		          echo "<br />";
              echo "<center><div class='admin-message'>".$locale['tspu_02']."</div></center>";
    }                                    
	  closetable();
  
  break;		
  //user show list completed
	case 'user_show_list_completed':
  
      $p_swich = "axn=user_show_list_completed&amp;user_id=".$panel_user1."";
  
     $resultx0f=dbquery("SELECT user_name From ".DB_USERS."
                     WHERE user_id='$panel_user1' ");
    $datax0f = dbarray($resultx0f);
    
	   opentable($locale['tspu_00'].$datax0f['user_name']);
	        echo "<table cellpadding='0' cellspacing='1' width='80%' class='tbl-border center'>\n<tr>\n";
		      echo "<td class='tbl2' align='center'><a href='".FUSION_SELF.$user_link."axn=user_show_list&amp;user_id=".$panel_user1."'>".$locale['tsp_01']."</a></td>\n";  
          echo "</tr>\n</table>\n";
		      echo "<br /><br />";
	      
	      $resultx1=dbquery("SELECT * From ".DB_USER_TV_PROGRAMS."
                     WHERE tv_user_profile_id='$panel_user1' ");
    $rowsx1 = dbrows($resultx1);
    if  ($rowsx1 > 0) {
    
        echo "<table cellpadding='0' cellspacing='1' width='80%' class='tbl-border center'>\n<tr>\n";
		    echo "<td class='tbl2' align='center'><a href='".FUSION_SELF.$user_link."axn=user_show_list_planned&amp;user_id=".$panel_user1."'>".$locale['tsp_62']."</a></td>\n"; 
          echo "<td class='tbl2' align='center'><a href='".FUSION_SELF.$user_link."axn=user_show_list_watched&amp;user_id=".$panel_user1."'>".$locale['tsp_63']."</a></td>\n";
          echo "<td class='tbl2' align='center'><a href='".FUSION_SELF.$user_link."axn=user_show_list_suspended&amp;user_id=".$panel_user1."'>".$locale['tsp_64']."</a></td>\n"; 
          echo "<td class='tbl2' align='center'><a href='".FUSION_SELF.$user_link."axn=user_show_list_leaved&amp;user_id=".$panel_user1."'>".$locale['tsp_65']."</a></td>\n";
          echo "<td class='tbl2' align='center'><a href='".FUSION_SELF.$user_link."axn=user_show_list_completed&amp;user_id=".$panel_user1."'>".$locale['tsp_66']."</a></td>\n";
          echo "</tr></table>\n";
          echo "<br /><br />";
          
	      $result1e = dbcount("(tv_user_id)", DB_USER_TV_PROGRAMS, "tv_user_id!='0'");  
        if (!isset($_GET['rowstart']) || !isnum($_GET['rowstart'])) { $_GET['rowstart'] = 0; } 
        $result1e=dbquery("SELECT a.*, b.* From ".DB_USER_TV_PROGRAMS." AS a
                     JOIN ".DB_TV_PROGRAMS." AS b ON b.tv_show_id = a.tv_user_show_id
                     WHERE a.tv_user_profile_id='$panel_user1' AND a.tv_user_show_status = '4' 
                     ORDER BY b.tv_show_name ");
    $rows1e = dbrows($result1e);
    if  ($rows1e > 0) {
                  
                 $result1e=dbquery("SELECT a.*, b.* From ".DB_USER_TV_PROGRAMS." AS a
                     JOIN ".DB_TV_PROGRAMS." AS b ON b.tv_show_id = a.tv_user_show_id
                     WHERE a.tv_user_profile_id='$panel_user1' AND a.tv_user_show_status = '4' 
                     ORDER BY b.tv_show_name, a.tv_user_id LIMIT ".$_GET['rowstart'].", $rows_per_page  "); 
                  
                  echo "<table cellpadding='0' cellspacing='1' width='95%' class='tbl-border center'><tr>\n";
                  echo "<td class='tbl2'colspan='6' align='center'>".$locale['tsp_66']."</td>\n";
                  echo "</tr><tr>";
                  echo "<td class='tbl2' align='center'>".$locale['tsp_19']."</td>\n";
                  echo "<td class='tbl2' align='center'>".$locale['tsp_57']."</td>\n";
                  echo "<td class='tbl2' align='center'>".$locale['tsp_23']."</td>\n";
                  echo "<td class='tbl2' align='center'>".$locale['tsp_25']."</td>\n";    
                  while ($data1e = dbarray($result1e)) {
                          echo "</tr><tr>";
                          echo "<td class='tbl2' align='left'>"; 
                          if (!empty($data1e['tv_show_image'])) {
                             echo "<a href='".$data1e['tv_show_image']."' target='_blank'><img src='".$data1e['tv_show_image']."' width='20px' /></a> ".$data1e['tv_show_name']." "; 
                          } else { 
                                 echo $data1e['tv_show_name']; 
                          } 
                          echo "</td>\n";
                          $program_user_url1e = $data1e['tv_user_show_url'];
                          echo "<td class='tbl2' align='center'>";
                          if  (empty($program_user_url1e)) {     
                                 echo " ";
                          } else {
                                  echo "<a href='".$program_user_url1e."' Target='_blank'>".$locale['tspu_03']."</a>";
                          }    
                          echo "</td>\n";
                          $program_user_time1e = $data1e['tv_user_show_time'];
                          echo "<td class='tbl2' align='center'>".tv_get_user_edit_time($program_user_time1e)."</td>\n";
                          echo "<td class='tbl2' align='center'>";
                          $tv_user_show_id5 = $data1e['tv_show_id']; 
                          if (hf_check_user_show_id($tv_user_show_id5, $tv_user_profile_id5u) === FALSE) {
                                echo "<a href='".INFUSIONS."tv_show_list/user/tv_show_list.php?axn=user_new_show_search_to_add&show_id=".$data1e['tv_show_id']."'>".$locale['tspp_04']."</a>";
                          } else {
                                  echo $locale['tspp_09'];
                          }
                          echo "</td>\n";
                          echo "</tr><tr>";
                  }
                  echo "</table>\n";
                  if ($rows1e > $rows_per_page) {
                    echo "<br />";
                    echo "<div align='center' style='margin-top:5px;'>\n".Shmakeadminswichpagenav($user_link, $p_swich, $_GET['rowstart'],$rows_per_page,$rows1e,3)."\n</div>\n";
                  }
    } else {
               echo "<br />";
		          echo "<table cellpadding='0' cellspacing='1' width='80%' border='0'><tr><td><b>".$locale['tsp_66']."</b></td></trr></table>\n";
		          echo "<br />";
              echo "<center><div class='admin-message'>".$locale['tspu_02']."</div></center>";
    }
    } else {
              
		          echo "<br />";
              echo "<center><div class='admin-message'>".$locale['tspu_02']."</div></center>";
    }                                    
	  closetable();
	   
  break;	
 
}


} else {
              echo "<br />";
              echo "<center><div class='admin-message'>".$locale['tspu_01']."</div></center>";
}

} else {
   include INC_TV_PROGRAMS."no_access.php";
}

require_once THEMES."templates/footer.php";
?>
