<?php
/*-------------------------------------------------------+
| PHP-Fusion Content Management System
| Copyright  2002 - 2008 Nick Jones
| http://www.php-fusion.co.uk/
+--------------------------------------------------------+
| Ramwka Infusion
| Original author: hisashi
| Email: hisashi@hoshi-fusion.com.pl
| Web: http://hoshi-fusion.com.pl
+--------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license. You can redistribute it and/or
| modify it under the terms of this license which you
| can read by viewing the included agpl.txt or online
| at www.gnu.org/licenses/agpl.html. Removal of this
| copyright header is strictly prohibited without
| written permission from the original author(s).
+--------------------------------------------------------*/
if (!defined("IN_FUSION")) { die("Access Denied"); }

include INFUSIONS."tv_show_list/infusion_db.php";


 if (file_exists(LC_TV_PROGRAMS.$settings['locale']."/tv_show_list.php")) {
	include LC_TV_PROGRAMS.$settings['locale']."/tv_show_list.php";
} else {
	include LC_TV_PROGRAMS."English/tv_show_list.php";
}
 
// Infusion Information
$inf_title = $locale['tsp_01'];
$inf_description = $locale['tsp_01'];
$inf_version = "2.2.3";
$inf_developer = "Hisashi";
$inf_email = "hisashi@hoshi-fusion.com.pl";
$inf_weburl = "http://hoshi-fusion.com.pl";

// Infusion Paths
$inf_folder = "tv_show_list";

$inf_newtable[1] = DB_USER_TV_PROGRAMS." (
	          `tv_user_id` MEDIUMINT(8) NOT NULL AUTO_INCREMENT,
	`tv_user_profile_id` MEDIUMINT(8) NOT NULL,
	`tv_user_show_id` MEDIUMINT(8) NOT NULL,
	`tv_user_show_status` CHAR(2) NOT NULL,
	`tv_user_show_episode` VARCHAR(50) NOT NULL,
	`tv_user_show_time` INT(10) NOT NULL,
	`tv_user_show_url` VARCHAR(350) NOT NULL,
	PRIMARY KEY (`tv_user_id`)
         ) ENGINE=MyISAM";

$inf_newtable[2] = DB_TV_PROGRAMS." (
	          `tv_show_id` MEDIUMINT(8) NOT NULL AUTO_INCREMENT,
	`tv_show_name` VARCHAR(250) NOT NULL,
	`tv_show_name_add_time` INT(10) NOT NULL,
	`tv_show_image` VARCHAR(350) NOT NULL,
  PRIMARY KEY (`tv_show_id`)
         ) ENGINE=MyISAM";


	
// Database Table Drop Command : Drop tables if infusion is uninstalled.
$inf_droptable[1] = DB_TV_PROGRAMS;
$inf_droptable[2] = DB_USER_TV_PROGRAMS;

//admin Panel
$inf_adminpanel[1] = array(
	                   "title" => $locale['tsp_01'],
                     "panel" => "admin/tv_show_list.php",
	                   "image" => "tv_list.png",
	                   "rights" => "TV1"
                   );




//sitelinks
$inf_sitelink[1] = array(
	              "title" => $locale['tsp_01'],
	              "url" => "user/tv_show_list.php",
	              "visibility" => "0"
              );

$inf_sitelink[2] = array(
	              "title" => $locale['tsp_01'].$locale['tspp_02'].$locale['tspp_03'],
	              "url" => "program_list.php",
	              "visibility" => "0"
              );

?>